/**
 * @author monitour
 * created on 27.07.2017
 */
(function() {
	'use strict';
	angular.module('Monitour.pages.invoice').controller('InvoicesCtrl', InvoicesCtrl);
	/** @ngInject */
	function InvoicesCtrl($scope, baConfig, $filter, colorHelper,  $http, $localStorage , $state,  SweetAlert,  $translate, $stateParams, InvoiceService) {
		var vm = this;
        

        InvoiceService.GetAll()
        .then(function (response) {
            vm.invoices = response.data[0].result;
            vm.totalinvoices = response.data[0].count;
            console.log(response);
           // console.log(vm.checkpoints);
        }, function (error) {
            vm.status = 'Unable to load customer data: ' + error.message;
        });
        vm.owner = $localStorage.currentUser;
        $scope.smartTablePageSize = 10;
       
      
         
          $scope.transparent = baConfig.theme.blur;
	}
})();